Subject: Re: [PATCH-2.6.0-tiny] "uninline" {lock,release}_sock

From: "David S. Miller" <[email-masked]>
Date: Sun, 28 Dec 2003 01:23:29 -0800

On Sun, 28 Dec 2003 00:23:07 -0800 (PST)
Linus Torvalds <[email-masked]> wrote:

> Function calls aren't all that expensive, especially with FASTCALL() etc 
> to show that you don't have to follow the common calling conventions. 
> Right now I think FASTCALL() only matters on x86, but some other 
> architectures could make it mean "smaller call clobbered list" or similar.
> 
> Have you benchmarked with the smaller kernel? 

To be honest I think {lock,release}_sock() should both be uninlined
always.

It almost made sense to inline these things before the might_sleep()
was added, now it definitely makes no sense.